aboutsummaryrefslogtreecommitdiff
path: root/rand/utils/ci
diff options
context:
space:
mode:
Diffstat (limited to 'rand/utils/ci')
-rw-r--r--rand/utils/ci/miri.sh23
-rw-r--r--rand/utils/ci/script.sh9
2 files changed, 29 insertions, 3 deletions
diff --git a/rand/utils/ci/miri.sh b/rand/utils/ci/miri.sh
new file mode 100644
index 0000000..209adf2
--- /dev/null
+++ b/rand/utils/ci/miri.sh
@@ -0,0 +1,23 @@
+set -ex
+
+MIRI_NIGHTLY=nightly-$(curl -s https://rust-lang.github.io/rustup-components-history/x86_64-unknown-linux-gnu/miri)
+echo "Installing latest nightly with Miri: $MIRI_NIGHTLY"
+rustup default "$MIRI_NIGHTLY"
+
+rustup component add miri
+cargo miri setup
+
+cargo miri test --no-default-features -- -- -Zunstable-options --exclude-should-panic
+cargo miri test --features=log -- -- -Zunstable-options --exclude-should-panic
+cargo miri test --manifest-path rand_core/Cargo.toml
+cargo miri test --manifest-path rand_core/Cargo.toml --features=serde1
+cargo miri test --manifest-path rand_core/Cargo.toml --no-default-features
+#cargo miri test --manifest-path rand_distr/Cargo.toml # no unsafe and lots of slow tests
+cargo miri test --manifest-path rand_isaac/Cargo.toml --features=serde1
+cargo miri test --manifest-path rand_pcg/Cargo.toml --features=serde1
+cargo miri test --manifest-path rand_xorshift/Cargo.toml --features=serde1
+cargo miri test --manifest-path rand_xoshiro/Cargo.toml --features=serde1
+cargo miri test --manifest-path rand_chacha/Cargo.toml --no-default-features
+cargo miri test --manifest-path rand_hc/Cargo.toml
+cargo miri test --manifest-path rand_jitter/Cargo.toml
+cargo miri test --manifest-path rand_os/Cargo.toml
diff --git a/rand/utils/ci/script.sh b/rand/utils/ci/script.sh
index e8c1189..852a850 100644
--- a/rand/utils/ci/script.sh
+++ b/rand/utils/ci/script.sh
@@ -3,19 +3,22 @@
set -ex
main() {
- cross test --target $TARGET --lib --no-default-features
+ cross test --target $TARGET --tests --no-default-features
# TODO: add simd_support feature:
- cross test --target $TARGET --features=serde1,log
+ cross test --target $TARGET --features=log
cross test --target $TARGET --examples
cross test --target $TARGET --manifest-path rand_core/Cargo.toml
+ cross test --target $TARGET --manifest-path rand_core/Cargo.toml --features=serde1
cross test --target $TARGET --manifest-path rand_core/Cargo.toml --no-default-features
+ cross test --target $TARGET --manifest-path rand_distr/Cargo.toml
cross test --target $TARGET --manifest-path rand_isaac/Cargo.toml --features=serde1
cross test --target $TARGET --manifest-path rand_pcg/Cargo.toml --features=serde1
cross test --target $TARGET --manifest-path rand_xorshift/Cargo.toml --features=serde1
- cross test --target $TARGET --manifest-path rand_xoshiro/Cargo.toml
+ cross test --target $TARGET --manifest-path rand_xoshiro/Cargo.toml --features=serde1
cross test --target $TARGET --manifest-path rand_chacha/Cargo.toml
cross test --target $TARGET --manifest-path rand_hc/Cargo.toml
cross test --target $TARGET --manifest-path rand_os/Cargo.toml
+ cross test --target $TARGET --manifest-path rand_jitter/Cargo.toml
}
# we don't run the "test phase" when doing deploys